# Uses of Class
org.apache.sling.scriptingbundle.plugin.capability.Capabilities

Packages that use Capabilities
Package
Description
org.apache.sling.scriptingbundle.plugin.bnd
org.apache.sling.scriptingbundle.plugin.capability
org.apache.sling.scriptingbundle.plugin.processor

## Uses of Capabilities in org.apache.sling.scriptingbundle.plugin.bnd

Methods in org.apache.sling.scriptingbundle.plugin.bnd that return Capabilities
Modifier and Type
Method
Description
`Capabilities`
BundledScriptsScannerPlugin.`getCapabilities()`

## Uses of Capabilities in org.apache.sling.scriptingbundle.plugin.capability

Fields in org.apache.sling.scriptingbundle.plugin.capability declared as Capabilities
Modifier and Type
Field
Description
`static final Capabilities`
Capabilities.`EMPTY`
Methods in org.apache.sling.scriptingbundle.plugin.capability that return Capabilities
Modifier and Type
Method
Description
`static @NotNull Capabilities`
Capabilities.`fromFileSystemTree(@NotNull Path root, @NotNull Stream<Path> files, @NotNull Logger logger, @NotNull Set<String> searchPaths, @NotNull Map<String,String> scriptEngineMappings, boolean missingRequirementsOptional, boolean inContentPackage)`

## Uses of Capabilities in org.apache.sling.scriptingbundle.plugin.processor

Methods in org.apache.sling.scriptingbundle.plugin.processor that return Capabilities
Modifier and Type
Method
Description
`Capabilities`
ResourceTypeFolderAnalyser.`getCapabilities(@NotNull Path resourceTypeDirectory)`
`@NotNull Capabilities`
PathOnlyScriptAnalyser.`getProvidedScriptCapability(@NotNull Path file)`